# MRZ class

MRZ part of the document

Inheritance
  - Object
  - GenericDocumentWrapper
  - MRZ

## Constructors

MRZ.new(GenericDocument document)

## Properties

birthDate → TextFieldWrapper
  Birth date
  no setter
checkDigitBirthDate → ValidatedTextFieldWrapper?
  Check digit birth date
  no setter
checkDigitDocumentNumber → ValidatedTextFieldWrapper?
  Check digit document number
  no setter
checkDigitExpiryDate → ValidatedTextFieldWrapper?
  Check digit expiry date
  no setter
checkDigitGeneral → ValidatedTextFieldWrapper?
  Check digit general
  no setter
checkDigitPersonalNumber → ValidatedTextFieldWrapper?
  Check digit personal number
  no setter
dateOfIssuance → ValidatedTextFieldWrapper?
  Date of issuance
  no setter
document → GenericDocument
  final inherited
documentNumber → TextFieldWrapper?
  Document number
  no setter
documentType → TextFieldWrapper
  Document type from the DocumentType enum
  no setter
documentTypeCode → TextFieldWrapper?
  Document type code
  no setter
expiryDate → ValidatedTextFieldWrapper?
  Expiry date
  no setter
gender → TextFieldWrapper?
  Gender
  no setter
givenNames → TextFieldWrapper
  Given names
  no setter
hashCode → int
  The hash code for this object.
  no setter inherited
issuingAuthority → TextFieldWrapper?
  Issuing authority
  no setter
languageCode → TextFieldWrapper?
  Language code
  no setter
nationality → TextFieldWrapper
  Nationality
  no setter
officeOfIssuance → ValidatedTextFieldWrapper?
  Office of issuance
  no setter
optional1 → ValidatedTextFieldWrapper?
  TD1 Optional field (line 2)
  no setter
optional2 → ValidatedTextFieldWrapper?
  TD1 Optional field (line 3)
  no setter
personalNumber → ValidatedTextFieldWrapper?
  Personal number
  no setter
pinCode → TextFieldWrapper?
  PIN code
  no setter
requiredDocumentType → String
  no setter override
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
surname → TextFieldWrapper
  Surname
  no setter
travelDocType → TextFieldWrapper?
  Travel document type
  no setter
travelDocTypeVariant → TextFieldWrapper?
  Travel document type variant
  no setter
unknown → TextFieldWrapper?
  Unknown
  no setter
versionNumber → TextFieldWrapper?
  Version number
  no setter
visaOptional → TextFieldWrapper?
  MRV-A/MRV-B (Travel Visa) Optional field
  no setter

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

DOCUMENT_NORMALIZED_TYPE → const String
  Normalized document type name of this document wrapper.
DOCUMENT_TYPE → const String
  Generic document type name of this document wrapper.